
#ifndef ChainTSelector_h
#define ChainTSelector_h
 
#include <TSelector.h>

#include "Selector.h"
 
class ChainTSelector : public TSelector {
	public:
		ChainTSelector() : fSelector(0) {}
		virtual ~ChainTSelector() {}

		virtual Int_t   Version() const { return 2; }
		virtual void    Begin(TTree *) {}
		virtual void    SlaveBegin(TTree *tree);
		virtual Bool_t  Process(Long64_t entry);
		virtual void    SetOption(const char *option) { fOption = option; }
		virtual void    SetObject(TObject *obj) { fObject = obj; }
		virtual void    SetInputList(TList *input) { fInput = input; }
		virtual TList  *GetOutputList() const { return fOutput; }
		virtual void    SlaveTerminate() {}
		virtual void    Terminate();

	protected:
		Selector* fSelector;
	
	ClassDef(ChainTSelector,1);
};
#endif

